# $Revision: 1.47 $, $Date: 2009/05/03 09:03:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		Pager
%define		_pearname	%{_class}
%define		_status		stable

Summary:	%{_pearname} - generic data paging class
Summary(pl.UTF-8):	%{_pearname} - podstawowa klasa do dzielenia na strony
Name:		php-pear-%{_pearname}
Version:	2.4.8
Release:	1
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	c8b03ee32ef9fdda4d2f8ffc54556fad
URL:		http://pear.php.net/package/Pager/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Pager_Sliding
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
If you have data that needs paging (ie 1-10 on page one, 11-20 on page
two) this class can help. Pass it an array of data and it will sort it
into pages, picking up the current page id from the url. It can also
give you back/next and page number links taking the current url and
adding the correct page id to it.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa pomaga w sytuacji, kiedy dane wymagają podziału na strony
(np. pozycje 1-10 na pierwszej stronie, 11-20 na drugiej itd.). Po
przekazaniu tablicy danych klasa dzieli na strony, pobierając
identyfikator strony z URL-a. Może także podać odnośniki do
poprzedniej i następnej strony, biorąc aktualny URL i dodając do niego
właściwe identyfikatory stron.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc docs/%{_pearname}/*
%{php_pear_dir}/%{_class}
%{php_pear_dir}/%{_class}.php
%{php_pear_dir}/.registry/*.reg

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Pager.spec,v $
Revision 1.47  2009/05/03 09:03:49  adamg
- updated to 2.4.8

Revision 1.46  2008/08/11 20:34:39  adamg
- updated to 2.4.7

Revision 1.45  2008-05-03 08:59:24  adamg
- updated to 2.4.6

Revision 1.44  2008-01-31 12:16:09  glen
- rel 2

Revision 1.43  2007-08-22 20:33:04  adamg
- updated to 2.4.4

Revision 1.42  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:25  baggins
- converted to UTF-8

Revision 1.40  2006/12/26 13:03:30  adamg
- updated to 2.4.3

Revision 1.39  2006/06/11 12:55:23  glen
- 2.4.2

Revision 1.38  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.37  2006/05/19 19:06:09  glen
- 2.4.1

Revision 1.36  2006/04/24 09:07:48  adamg
- updated to 2.4.0

Revision 1.35  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.34  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.33  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.32  2006/02/16 18:26:43  glen
- 2.3.6

Revision 1.31  2006/01/23 22:48:44  glen
- 2.3.5

Revision 1.30  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.29  2005/09/29 18:02:46  glen
- 2.3.4

Revision 1.28  2005/09/29 17:54:56  glen
- new pear packaging

Revision 1.27  2005/05/04 19:27:14  adamg
- updated to 2.3.1

Revision 1.26  2005/03/21 15:10:29  adamg
- updated to 2.2.7

Revision 1.25  2005/02/05 19:20:40  adamg
- updated to 2.2.6

Revision 1.24  2004/12/04 14:09:10  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.23  2004/11/20 17:38:07  adamg
- updated to 2.2.4

Revision 1.22  2004/08/21 16:46:04  adamg
- updated to 2.2.3
- Obsoletes: php-pear-Pager_Sliding

Revision 1.21  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.20  2004/05/23 18:46:57  adamg
- updated to 2.2.2

Revision 1.19  2004/04/15 22:24:13  adamg
- updated to 2.2.1

Revision 1.18  2004/01/24 16:40:37  adamg
- updated to 2.2.0

Revision 1.17  2003/12/23 15:23:10  adamg
- updated to 2.1.0

Revision 1.16  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.15  2003/09/10 08:10:20  adamg
- updated to 1.0.8, added missing status information in %%description

Revision 1.14  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.13  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.12  2003/05/28 08:58:47  adamg
- massive attack: added source0-md5

Revision 1.11  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/10/14 23:50:50  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.9  2002/09/08 19:40:13  blues
- 1.0.6 - STBR

Revision 1.8  2002/07/27 13:57:30  blues
- 1.0.5 - STBR

Revision 1.7  2002/07/13 00:02:20  blues
- release 2 (rebuild with new rpm)

Revision 1.6  2002/07/12 11:47:47  blues
- removed not neccessary provides

Revision 1.5  2002/07/01 09:36:57  blues
- 1.0.4
STBR

Revision 1.4  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.3  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.2  2002/06/25 21:39:49  blues
- small fix in Summary

Revision 1.1  2002/06/25 14:08:39  blues
- initial release
